folder = 'direct-java-ci'

folder(folder)

job(folder + "/arcadia_slave_cleanup") {
    label('direct-jenkins-arcadia-slave || direct-jenkins-slave')

    logRotator {
        daysToKeep(10)
    }

    wrappers {
        timestamps()
        colorizeOutput()
    }

    concurrentBuild()
    disabled()
    parameters {
        nodeParam("NODE") {
            trigger('allowMultiSelectionForConcurrentBuilds')
        }
    }
    steps {
        shell(readFileFromWorkspace('direct-java-ci/cleanup.sh'))
    }
}
